@if (componentData$ | async; as componentData) {
  <div class="flex-fixed-size side-bar">
    <div class="anchor-bar">
      <div
        class="anchor-group remove-chrome-router-link-border"
        [attr.data-test-anchor-link-id]="'ready-for-transmission'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../ready-for-transmission'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.functional-tester-view.ready-for-transmission.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:ready_for_transmission"
            nzTheme="outline"
          ></i>
          @if (componentData.nbReadyForTransmissionAutomReq > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbReadyForTransmissionAutomReq }}</span>
            </div>
          }
        </div>
      </div>
      <div
        class="anchor-group remove-chrome-router-link-border"
        [attr.data-test-anchor-link-id]="'to-be-validated'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../validate'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.functional-tester-view.to-be-validated.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:to_be_validated"
            nzTheme="outline"
          ></i>
          @if (componentData.nbToBeValidatedAutomReq > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbToBeValidatedAutomReq }}</span>
            </div>
          }
        </div>
      </div>
      <div
        class="anchor-group remove-chrome-router-link-border"
        [attr.data-test-anchor-link-id]="'global'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../global'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.functional-tester-view.global-view.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:global_view"
            nzTheme="outline"
          ></i>
          @if (componentData.nbGlobalAutomReq > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbGlobalAutomReq }}</span>
            </div>
          }
        </div>
      </div>
    </div>
    <ng-content></ng-content>
  </div>
}
